org.jfree.text

## Class TextFragment

- java.lang.Object
- - org.jfree.text.TextFragment

All Implemented Interfaces:
  java.io.Serializable

    public class TextFragment
    extends java.lang.Object
    implements java.io.Serializable

A text item, with an associated font, that fits on a single line (see `TextLine`). Instances of the class are immutable.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.awt.Font` `DEFAULT_FONT` The default font.
`static java.awt.Paint` `DEFAULT_PAINT` The default text color.
`protected static LogContext` `logger` Access to logging facilities.

### Constructor Summary

Constructors
Constructor and Description
`TextFragment(java.lang.String text)` Creates a new text fragment.
`TextFragment(java.lang.String text, java.awt.Font font)` Creates a new text fragment.
`TextFragment(java.lang.String text, java.awt.Font font, java.awt.Paint paint)` Creates a new text fragment.
`TextFragment(java.lang.String text, java.awt.Font font, java.awt.Paint paint, float baselineOffset)` Creates a new text fragment.

### Method Summary

Methods
`float` `calculateBaselineOffset(java.awt.Graphics2D g2, TextAnchor anchor)` Calculates the vertical offset between the baseline and the specified text anchor.
`Size2D` `calculateDimensions(java.awt.Graphics2D g2)` Calculates the dimensions of the text fragment.
`void` `draw(java.awt.Graphics2D g2, float anchorX, float anchorY, TextAnchor anchor, float rotateX, float rotateY, double angle)` Draws the text fragment.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`float` `getBaselineOffset()` Returns the baseline offset.
`java.awt.Font` `getFont()` Returns the font.
`java.awt.Paint` `getPaint()` Returns the text paint.
`java.lang.String` `getText()` Returns the text.
`int` `hashCode()` Returns a hash code for this object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

The default font.

#### DEFAULT_PAINT

    public static final java.awt.Paint DEFAULT_PAINT

The default text color.

#### logger

    protected static final LogContext logger

Access to logging facilities.

### Constructor Detail

#### TextFragment

    public TextFragment(java.lang.String text)

Creates a new text fragment.

Parameters:
  `text` - the text (`null` not permitted).

#### TextFragment

    public TextFragment(java.lang.String text,
                java.awt.Font font)

Creates a new text fragment.

Parameters:
  `text` - the text (`null` not permitted).
  `font` - the font (`null` not permitted).

#### TextFragment

    public TextFragment(java.lang.String text,
                java.awt.Font font,
                java.awt.Paint paint)

Creates a new text fragment.

Parameters:
  `text` - the text (`null` not permitted).
  `font` - the font (`null` not permitted).
  `paint` - the text color (`null` not permitted).

#### TextFragment

    public TextFragment(java.lang.String text,
                java.awt.Font font,
                java.awt.Paint paint,
                float baselineOffset)

Creates a new text fragment.

Parameters:
  `text` - the text (`null` not permitted).
  `font` - the font (`null` not permitted).
  `paint` - the text color (`null` not permitted).
  `baselineOffset` - the baseline offset.

### Method Detail

#### getText

    public java.lang.String getText()

Returns the text.

Returns:
  The text (possibly `null`).

#### getFont

    public java.awt.Font getFont()

Returns the font.

Returns:
  The font (never `null`).

#### getPaint

    public java.awt.Paint getPaint()

Returns the text paint.

Returns:
  The text paint (never `null`).

#### getBaselineOffset

    public float getBaselineOffset()

Returns the baseline offset.

Returns:
  The baseline offset.

#### draw

    public void draw(java.awt.Graphics2D g2,
            float anchorX,
            float anchorY,
            TextAnchor anchor,
            float rotateX,
            float rotateY,
            double angle)

Draws the text fragment.

Parameters:
  `g2` - the graphics device.
  `anchorX` - the x-coordinate of the anchor point.
  `anchorY` - the y-coordinate of the anchor point.
  `anchor` - the location of the text that is aligned to the anchor point.
  `rotateX` - the x-coordinate of the rotation point.
  `rotateY` - the y-coordinate of the rotation point.
  `angle` - the angle.

#### calculateDimensions

    public Size2D calculateDimensions(java.awt.Graphics2D g2)

Calculates the dimensions of the text fragment.

Parameters:
  `g2` - the graphics device.
Returns:
  The width and height of the text.

#### calculateBaselineOffset

    public float calculateBaselineOffset(java.awt.Graphics2D g2,
                                TextAnchor anchor)

Calculates the vertical offset between the baseline and the specified text anchor.

Parameters:
  `g2` - the graphics device.
  `anchor` - the anchor.
Returns:
  the offset.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to test against (`null` permitted).
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code for this object.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  A hash code.